javafx.beans.value

## Interface ObservableLongValue

- All Superinterfaces:
    Observable, ObservableNumberValue, ObservableValue<Number>
  All Known Implementing Classes:
    JavaBeanLongProperty, LongBinding, LongExpression, LongProperty, LongPropertyBase, ReadOnlyJavaBeanLongProperty, ReadOnlyLongProperty, ReadOnlyLongPropertyBase, ReadOnlyLongWrapper, SimpleLongProperty, SimpleStyleableLongProperty, StyleableLongProperty

      public interface ObservableLongValue
      extends ObservableNumberValue

  An observable long value.
  Since:
    JavaFX 2.0
  See Also:
    `ObservableValue`, `ObservableNumberValue`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `get()` Returns the current value of this `ObservableLongValue`.

    - ### Methods inherited from interface javafx.beans.value.ObservableNumberValue

      `doubleValue, floatValue, intValue, longValue`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

- - ### Method Detail

    - #### get

          long get()

      Returns the current value of this `ObservableLongValue`.
      Returns:
        The current value

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2019, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.